Skip to content

Start new conversation

POST
/vendor/conversations

Создание нового диалога по товару

Authorizations

sessionCookie

PHP session cookie (HTTP-only, Secure, SameSite=Lax)

Type
API Key (cookie: PARTIZAP_SESSION)
+
csrfToken

CSRF token from CSRF_TOKEN cookie. Required on POST/PUT/PATCH/DELETE for
endpoints declaring csrfToken in their security block. Unauthenticated
session-establishment endpoints (login, register, forgot-password,
reset-password, validate-reset-token, admin login, admin TOTP verify) are
exempt — they declare security: [] and accept POST without a CSRF token.

Type
API Key (header: X-CSRF-TOKEN)

Request Body

application/json
JSON
{
  
"product_id": 0,
  
"message": "string"
}

Responses

Conversation created

application/json
JSON
{
  
"data": {
  
  
"id": 0,
  
  
"product_id": 0,
  
  
"product": {
  
  
  
"id": 0,
  
  
  
"title": "string",
  
  
  
"price": 2500,
  
  
  
"steering": "string",
  
  
  
"city_id": 0,
  
  
  
"region_id": 0,
  
  
  
"district_id": 0,
  
  
  
"metro_station_id": 0,
  
  
  
"metro_distance_m": 0,
  
  
  
"address_id": "string",
  
  
  
"images": [
  
  
  
  
{
  
  
  
  
  
"id": 0,
  
  
  
  
  
"thumbnail_webp": "string",
  
  
  
  
  
"thumbnail_jpeg": "string",
  
  
  
  
  
"medium_webp": "string",
  
  
  
  
  
"medium_jpeg": "string",
  
  
  
  
  
"large_webp": "string",
  
  
  
  
  
"large_jpeg": "string",
  
  
  
  
  
"status": "string",
  
  
  
  
  
"is_primary": true,
  
  
  
  
  
"sort_order": 0
  
  
  
  
}
  
  
  
],
  
  
  
"seller": {
  
  
  
  
"id": 5,
  
  
  
  
"display_name": "BMW Parts Store",
  
  
  
  
"avatar_url": "https://s3.partizap.ru/avatars/5.webp",
  
  
  
  
"city_id": 0,
  
  
  
  
"rating": "4.85",
  
  
  
  
"reviews_count": 127,
  
  
  
  
"products_count": 342,
  
  
  
  
"created_at": "string"
  
  
  
},
  
  
  
"published_at": "string"
  
  
},
  
  
"participants": [
  
  
  
{
  
  
  
  
"id": 5,
  
  
  
  
"display_name": "BMW Parts Store",
  
  
  
  
"avatar_url": "https://s3.partizap.ru/avatars/5.webp",
  
  
  
  
"city_id": 0,
  
  
  
  
"rating": "4.85",
  
  
  
  
"reviews_count": 127,
  
  
  
  
"products_count": 342,
  
  
  
  
"created_at": "string"
  
  
  
}
  
  
],
  
  
"last_message": {
  
  
  
"id": 0,
  
  
  
"conversation_id": 0,
  
  
  
"sender_id": 0,
  
  
  
"text": "string",
  
  
  
"image_url": "string",
  
  
  
"is_read": true,
  
  
  
"is_delivered": true,
  
  
  
"created_at": "string"
  
  
},
  
  
"unread_count": 0,
  
  
"created_at": "string",
  
  
"updated_at": "string"
  
}
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI